<?xml version="1.0" encoding="UTF-8"?>
<problem 
    version="1.0"
    id ="roi.day1.apricot"
>
    <judging>
        <script type ="%ioi">
            <testset
                name ="preliminary"

                input-name  ="apricot.in"
                output-name ="apricot.out"
                input-href  ="preliminary/##"
                answer-href ="preliminary/##.a"

                time-limit ="1s"
                memory-limit ="268435456"
            >
                <test points ="0" comment="Первый тест из примера"/>
                <test points ="0" comment="Второй тест из примера"/>
                <test points ="0" comment="Третий тест из примера"/>
                <test points ="0" comment="Четвёртый тест из примера"/>
            </testset>

            <testset
                name ="main"

                input-name  ="apricot.in"
                output-name ="apricot.out"
                input-href  ="tests/##"
                answer-href ="tests/##.a"

                time-limit ="1s"
                memory-limit ="268435456"
            >
            	<test-group
            		comment = "Подзадача 1. (1 &lt;= n, a, b &lt;= 200)"
            		score = "group"
            		feedback = "outcome"
            		group-bonus = "40"
            	>
                    <test points = "0" comment = "n=2, a=1, b=1" />
                    <test points = "0" comment = "n=2, a=1, b=2" />
                    <test points = "0" comment = "n=2, a=2, b=1" />
                    <test points = "0" comment = "n=2, a=10, b=1" />
                    <test points = "0" comment = "n=3, a=7, b=5" />
                    <test points = "0" comment = "n=4, a=2, b=1" />
                    <test points = "0" comment = "n=4, a=5, b=9" />
                    <test points = "0" comment = "n=17, a=50, b=1" />
                    <test points = "0" comment = "n=18, a=5, b=6" />
                    <test points = "0" comment = "n=19, a=19, b=11" />
                    <test points = "0" comment = "n=50, a=5, b=6" />
                    <test points = "0" comment = "n=97, a=56, b=6" />
                    <test points = "0" comment = "n=132, a=5, b=6" />
                    <test points = "0" comment = "n=150, a=5, b=1" />
                    <test points = "0" comment = "n=197, a=200, b=200" />
                    <test points = "0" comment = "n=198, a=5, b=5" />
                    <test points = "0" comment = "n=199, a=5, b=6" />
                    <test points = "0" comment = "n=199, a=200, b=68" />
                    <test points = "0" comment = "n=200, a=1, b=200" />
                    <test points = "0" comment = "n=200, a=28, b=17" />
                    <test points = "0" comment = "n=200, a=200, b=200" />
                </test-group>
            	<test-group
            		comment = "Подзадача 2. (1 &lt;= n, a, b &lt;= 2000)"
            		score = "group"
            		feedback = "outcome"
            		group-bonus = "30"
            	>
                    <test points = "0" comment = "n=507, a=50, b=1" />
                    <test points = "0" comment = "n=897, a=5, b=6" />
                    <test points = "0" comment = "n=1147, a=19, b=11" />
                    <test points = "0" comment = "n=1502, a=5, b=6" />
                    <test points = "0" comment = "n=1703, a=560, b=6" />
                    <test points = "0" comment = "n=1812, a=15, b=6" />
                    <test points = "0" comment = "n=1945, a=5, b=133" />
                    <test points = "0" comment = "n=1955, a=2000, b=2000" />
                    <test points = "0" comment = "n=1984, a=23, b=377" />
                    <test points = "0" comment = "n=1999, a=313, b=3" />
                    <test points = "0" comment = "n=1999, a=200, b=68" />
                    <test points = "0" comment = "n=2000, a=1, b=2000" />
                    <test points = "0" comment = "n=2000, a=17, b=107" />
                    <test points = "0" comment = "n=2000, a=2000, b=2000" />
                </test-group>
            	<test-group
            		comment = "Подзадача 3. (1 &lt;= n, a, b &lt;= 1000000)"
            		score = "group"
            		feedback = "outcome"
            		group-bonus = "30"
            	>
                    <test points = "0" comment = "n=52307, a=5, b=17" />
                    <test points = "0" comment = "n=83197, a=22, b=6" />
                    <test points = "0" comment = "n=2502, a=6, b=3" />
                    <test points = "0" comment = "n=31703, a=560, b=6" />
                    <test points = "0" comment = "n=112047, a=1001, b=121" />
                    <test points = "0" comment = "n=139445, a=15, b=133" />
                    <test points = "0" comment = "n=142812, a=152, b=6" />
                    <test points = "0" comment = "n=912355, a=1000000, b=1000000" />
                    <test points = "0" comment = "n=984291, a=23, b=377" />
                    <test points = "0" comment = "n=999999, a=313, b=3" />
                    <test points = "0" comment = "n=999999, a=201230, b=68" />
                    <test points = "0" comment = "n=1000000, a=9, b=1000000" />
                    <test points = "0" comment = "n=1000000, a=1000000, b=7" />
                    <test points = "0" comment = "n=1000000, a=1237, b=10237" />
                    <test points = "0" comment = "n=1000000, a=1000000, b=1000000" />
                </test-group>
            </testset>

            <verifier type="%testlib">
                <binary executable-id ="x86.exe.win32" file ="check.exe" />
            </verifier>
        </script>
    </judging>
</problem>
